import { dev } from "$app/environment";
import { base } from "$app/paths";
export function setLuciaCookie(event, cookie) {
    event.cookies.set(cookie.name, cookie.value, {
        path: ".",
        ...cookie.attributes,
    });
}
export function setTempCookie(event, name, value) {
    event.cookies.set(name, value, {
        path: "/",
        secure: !dev,
        httpOnly: true,
        maxAge: 60 * 10,
        sameSite: "lax",
    });
}
export function route(pathname, handler) {
    return ({ event, resolve }) => {
        if (event.url.pathname === pathname) {
            return handler({ event, resolve });
        }
        return resolve(event);
    };
}
export function method(method, handler) {
    return ({ event, resolve }) => {
        if (event.request.method === method) {
            return handler({ event, resolve });
        }
        return resolve(event);
    };
}
export function addBasePath(path) {
    return `${base}${path}`;
}
